commit:     45ebd94c96548822e23219d71af7985ebcf61bb6
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sun May 14 20:19:55 2017 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sun May 14 20:19:55 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=45ebd94c

app-admin/passwordsafe: Version bump to 1.02.1_beta

Package-Manager: Portage-2.3.5, Repoman-2.3.1

 app-admin/passwordsafe/Manifest                    |  1 +
 .../passwordsafe/passwordsafe-1.02.1_beta.ebuild   | 88 ++++++++++++++++++++++
 2 files changed, 89 insertions(+)

diff --git a/app-admin/passwordsafe/Manifest b/app-admin/passwordsafe/Manifest
index 63a9c089079..55f058b292a 100644
--- a/app-admin/passwordsafe/Manifest
+++ b/app-admin/passwordsafe/Manifest
@@ -1,2 +1,3 @@
 DIST passwordsafe-1.00_beta.tar.gz 13959557 SHA256 
e01c62be5f9a80910e61b7b39dc834ffab3e6a9946795312b1df487bc5a5f0bc SHA512 
7f0c6b99e452e7a70e6678ffc8941f0e5e446ab7178713428a9632cd885fa5ca7d3cdd8d146848992f7631f5dadcae85e7c0b4388819d78b88caa640004ab4b1
 WHIRLPOOL 
dc317bd3a62b0c896de781c5f4798c058b59e8ffeda7c8f33094697abf4cef8d4a544709a2b1b5ec21c09d82122e874de837cad9277e4f42f066ab0ab68b3c91
 DIST passwordsafe-1.01_beta.tar.gz 13984971 SHA256 
dc1e7e012009309f57a8611adad9ec62fdafe5b326f66dd0cefe2b5988ee52aa SHA512 
e7dbca0caf3942423280f6e1d61e46294a5dd9f78ac1b9047a6085a0dc52d9cfc35eb4b5eb1f56b08337235d2aaa97ea22f2d472ff1a021843034d2a49737abf
 WHIRLPOOL 
65cca1a1622eea7d63ff53f0661fbbccb6eaa1adc78747df7eae04ce58c32b5326b2a56749919a3a0ffc001a9395c27412816eda0b69f621dba65964b16d47b9
+DIST passwordsafe-1.02.1_beta.tar.gz 14068085 SHA256 
cd376032947c705fbbdbecb763eea760cc7ce2e1eb539df04bda3fad34ad9e27 SHA512 
c83a0c757f9f74906ffaebf650fd3f422a29f838c7f5430b3d3e32852b35dd92dc413a1c920320af9812d7960f0648e8df8a9d145828f8669e824e9972038067
 WHIRLPOOL 
b082cdc26167be832302df4a07d695bba8a581a588b7ee66f6549ab2642b35b85d5921a8381b5f21726b5d0f93fc88d6dc713ff6356f9e0f5d524aeb0d92390a

diff --git a/app-admin/passwordsafe/passwordsafe-1.02.1_beta.ebuild 
b/app-admin/passwordsafe/passwordsafe-1.02.1_beta.ebuild
new file mode 100644
index 00000000000..eee97dd2509
--- /dev/null
+++ b/app-admin/passwordsafe/passwordsafe-1.02.1_beta.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+WX_GTK_VER="3.0"
+
+inherit eutils flag-o-matic wxwidgets cmake-utils
+
+MY_PV="${PV/_beta/BETA}"
+DESCRIPTION="Password manager with wxGTK based frontend"
+HOMEPAGE="https://pwsafe.org/ https://github.com/pwsafe/pwsafe/";
+SRC_URI="https://github.com/pwsafe/pwsafe/archive/${MY_PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Artistic-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="minimal test yubikey +xml"
+
+RDEPEND="xml? ( dev-libs/xerces-c )
+       sys-apps/util-linux
+       x11-libs/libXt
+       x11-libs/libXtst
+       x11-libs/wxGTK:${WX_GTK_VER}[X]
+       !minimal? ( !!app-misc/pwsafe )
+       yubikey? ( sys-auth/ykpers )"
+DEPEND="${RDEPEND}
+       sys-devel/gettext
+       test? ( dev-cpp/gtest )"
+
+S=${WORKDIR}/pwsafe-${MY_PV}
+
+pkg_pretend() {
+       einfo "Checking for -std=c++11 support in compiler"
+       test-flags-CXX -std=c++11 > /dev/null || die
+}
+
+src_prepare() {
+       default
+       # binary name pwsafe is in use by app-misc/pwsafe, we use passwordsafe
+       # instead. Perform required changes in linking files
+       sed -i install/desktop/pwsafe.desktop -e "s/pwsafe/${PN}/g" || die
+       sed -i docs/pwsafe.1 \
+               -e 's/PWSAFE/PASSWORDSAFE/' \
+               -e "s/^.B pwsafe/.B ${PN}/" || die
+       use test || sed -i -e '/find_package(GTest REQUIRED)/s/^/#/' \
+               -e '/add_subdirectory (src\/test)/s/^/#/' CMakeLists.txt || die
+}
+
+src_configure() {
+       need-wxwidgets unicode
+
+       local mycmakeargs=( $(usex yubikey '' '-DNO_YUBI=ON')
+               $(usex xml '' '-DNO_XML=ON') )
+
+       cmake-utils_src_configure
+}
+
+src_install() {
+       pushd "${BUILD_DIR}" || die
+       if use minimal; then
+               newbin pwsafe ${PN}
+       else
+               dobin pwsafe
+               dosym pwsafe /usr/bin/${PN}
+       fi
+       insinto /usr/share/locale
+       doins -r src/ui/wxWidgets/I18N/mos/*
+
+       # The upstream Makefile builds this .zip file from html source material 
for
+       # use by the package's internal help system. Must prevent
+       # Portage from applying additional compression.
+       docompress -x /usr/share/doc/${PN}/help
+       insinto /usr/share/doc/${PN}/help
+       doins help/*.zip
+
+       popd || die
+
+       newman docs/pwsafe.1 ${PN}.1
+
+       dodoc README.txt docs/{ReleaseNotes.txt,ChangeLog.txt}
+
+       insinto /usr/share/pwsafe/xml
+       doins xml/*
+
+       newicon install/graphics/pwsafe.png ${PN}.png
+       newmenu install/desktop/pwsafe.desktop ${PN}.desktop
+}

Reply via email to